from PyQt6.QtCore import QThread, pyqtSignal


class LoadContainerImageStatusWorker(QThread):
    image_status_retrieved = pyqtSignal(str)
    error_occurred = pyqtSignal(str)

    def __init__(self, portainer, endpoint_id, container_id):
        super().__init__()
        self.portainer = portainer
        self.endpoint_id = endpoint_id
        self.container_id = container_id
        # self.image_status = None

    def run(self):
        try:
            image_status = self.portainer.containers.get_container_image_status(self.endpoint_id, self.container_id)
            # self.image_status = image_status['Status']
            self.image_status_retrieved.emit(image_status['Status'])
        except Exception as e:
            self.image_status_retrieved.emit("Not available")
